#!/bin/bash

source ./ephemeral-x.sh
source ./annotate_header.sh
source ./utils.sh

echo "{\"current_action\": \"Setting up X environment...\"}"

echo "{\"current_action\": \"Starting firefox...\"}"
start_firefox
grab start_firefox
prepare_firefox
grab prepare_firefox
echo "{\"current_action\": \"Firefox started, waiting for URL. Run run-analysis.sh in this container to continue\", \"code\": \"ready\"}"
./eternal-sleep.sh &
wait
